﻿using System.Collections.ObjectModel;
using System.Windows.Media;
using Telerik.Windows.Controls;

namespace CheckBoxBackgroundChangeMouseHover
{
    public class MainViewModel : ViewModelBase
    {
        private ObservableCollection<DataItem> items;

        public ObservableCollection<DataItem> Items
        {
            get
            {
                if (this.items == null)
                {
                    this.items = new ObservableCollection<DataItem>();
                    this.items.Add(new DataItem() { Name = "Item 1", Color = Colors.Red });
                    this.items.Add(new DataItem() { Name = "Item 2", Color = Colors.Green });
                    this.items.Add(new DataItem() { Name = "Item 3", Color = Colors.Blue });
                }

                return this.items;
            }
        }
    }
}
